FreeMat

- Main Page
- Related Pages

vtkCoincidentTopologyResolutionPainter

Section: Visualization Toolkit Rendering Classes

# Usage

Provides the ability to shift the z-buffer to resolve coincident topology. For example, if you'd like to draw a mesh with some edges a different color, and the edges lie on the mesh, this feature can be useful to get nice looking lines.

To create an instance of class vtkCoincidentTopologyResolutionPainter, simply invoke its constructor as follows

      obj = vtkCoincidentTopologyResolutionPainter

# Methods

The class vtkCoincidentTopologyResolutionPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCoincidentTopologyResolutionPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCoincidentTopologyResolutionPainter = obj.NewInstance ()`
- `vtkCoincidentTopologyResolutionPainter = obj.SafeDownCast (vtkObject o)`